Package org.apache.tiles.request.collection

# Class ReadOnlyEnumerationMap<V>

java.lang.Object
org.apache.tiles.request.collection.ReadOnlyEnumerationMap<V>

Type Parameters:
  `V` - The type of the values.

All Implemented Interfaces:
  `Map<String,V>`

Direct Known Subclasses:
  `AddableParameterMap`, `ScopeMap`

public class ReadOnlyEnumerationMap<V> extends Object implements Map<String,V>
Wraps an `HasKeys` object into a read-only map.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected HasKeys<V>`
  `request`
  The request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyEnumerationMap(HasKeys<V> request)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `boolean`
  `containsKey(Object key)`
  `boolean`
  `containsValue(Object value)`
  `Set<Map.Entry<String,V>>`
  `entrySet()`
  `boolean`
  `equals(Object obj)`
  `V`
  `get(Object key)`
  `int`
  `hashCode()`
  `boolean`
  `isEmpty()`
  `Set<String>`
  `keySet()`
  `V`
  `put(String key, V value)`
  `void`
  `putAll(Map<? extends String,? extends V> map)`
  `V`
  `remove(Object key)`
  `int`
  `size()`
  `Collection<V>`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### request

    protected HasKeys<V> request
    The request.

- ## Constructor Details

  - ### ReadOnlyEnumerationMap

    public ReadOnlyEnumerationMap(HasKeys<V> request)
    Constructor.
    Parameters:
      `request` - The request object to use.

- ## Method Details

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map<String,V>`

  - ### containsKey

    public boolean containsKey(Object key)
    Specified by:
      `containsKey` in interface `Map<String,V>`

  - ### containsValue

    public boolean containsValue(Object value)
    Specified by:
      `containsValue` in interface `Map<String,V>`

  - ### entrySet

    public Set<Map.Entry<String,V>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,V>`

  - ### get

    public V get(Object key)
    Specified by:
      `get` in interface `Map<String,V>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map<String,V>`

  - ### keySet

    public Set<String> keySet()
    Specified by:
      `keySet` in interface `Map<String,V>`

  - ### put

    public V put(String key, V value)
    Specified by:
      `put` in interface `Map<String,V>`

  - ### putAll

    public void putAll(Map<? extends String,? extends V> map)
    Specified by:
      `putAll` in interface `Map<String,V>`

  - ### remove

    public V remove(Object key)
    Specified by:
      `remove` in interface `Map<String,V>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Map<String,V>`

  - ### values

    public Collection<V> values()
    Specified by:
      `values` in interface `Map<String,V>`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `Map<String,V>`
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Map<String,V>`
    Overrides:
      `hashCode` in class `Object`